import formatBase from '../../utils/date/formatDate';
import parseBase from '../../utils/date/parseDate';
import { SingleDate, RangeDate, DateNullTuple } from '../types';
export * from './getValueInRangePicker';
export * from './getValueInSinglePicker';
export * from './dateUtils';
export { parseBase, formatBase };
export declare function parseDate(format: string, dateValue?: string | number | Date | null): Date | null;
export declare function formatDate(format: string, date?: SingleDate | null): string;
export declare function formatDateRange(dates: [SingleDate | null, SingleDate | null], format: string): [string, string];
export declare function parseDateRange(dates: RangeDate, format: string): DateNullTuple;
